﻿$ErrorActionPreference = 'Stop'; # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$version    = "5.5.0"
$url        = "https://downloads.sourceforge.net/project/omegat/OmegaT%20-%20Latest/OmegaT%20${version}/OmegaT_${version}_Beta_Windows_Signed.exe"
$url64      = "https://downloads.sourceforge.net/project/omegat/OmegaT%20-%20Latest/OmegaT%20${version}/OmegaT_${version}_Beta_Windows_64_Signed.exe"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  installerType = 'EXE'
  url           = $url
  url64bit      = $url64
  softwareName  = 'OmegaT*'

  silentArgs    = '/VERYSILENT'
  validExitCodes = @(0)

  checksum      = '98224B728AC724261B6B85C1A40DC2B43973A35AB248218EA81366D127A3569F'
  checksumType  = 'sha256'
  checksum64    = 'AC47EDEE769B1825A2B46971B5B0B8708CFE4AD01173D44B04284D6CADC5BC1A'
  checksumType64= 'sha256'
}

Install-ChocolateyPackage @packageArgs
